	.386
	.model use32 small
	public _strcat
	.code
_strcat:
	push	ebp
	mov	ebp,esp
	push	esi
	push	edi
	
	mov	edi,[8+ebp]
	mov	ecx,-1
	sub	al,al
	cld
	repne	scasb
	dec	edi
	push	edi
	mov	edi,[12+ebp]
	mov	esi,edi
	mov	ecx,-1
	sub	al,al
	repne	scasb
	neg	ecx
	dec	ecx
	pop	edi
	rep	movsb
	mov	eax,[8+ebp]
	pop	edi
	pop	esi
	pop	ebp
	ret
	end